/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: LifeCycleCallback.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.ILifeCycleCallback;

/**
 * This class defines the implementation of an element of callback type (post
 * construct, pre destroy, etc).
 * @author Florent Benoit
 */
public class LifeCycleCallback implements ILifeCycleCallback {

    /**
     * Element &lt;lifecycle-callback-class&gt;.
     */
    private String lifecycleCallbackClass = null;

    /**
     * Element &lt;lifecycle-callback-method&gt;.
     */
    private String lifecycleCallbackMethod = null;

    /**
     * Constructor.
     */
    public LifeCycleCallback() {

    }

    /**
     * Sets the name of the class.
     * @param lifecycleCallbackClass the name of the class
     */
    public void setLifecycleCallbackClass(final String lifecycleCallbackClass) {
        this.lifecycleCallbackClass = lifecycleCallbackClass;
    }

    /**
     * @return the class value.
     */
    public String getLifecycleCallbackClass() {
        return lifecycleCallbackClass;
    }

    /**
     * Sets the name of the method.
     * @param lifecycleCallbackMethod the name of the method
     */
    public void setMethodName(final String lifecycleCallbackMethod) {
        this.lifecycleCallbackMethod = lifecycleCallbackMethod;
    }

    /**
     * @return the method name.
     */
    public String getLifecycleCallbackMethod() {
        return lifecycleCallbackMethod;
    }

}
